org.springframework.data.jdbc.core.convert

## Class EntityRowMapper<T>

- java.lang.Object
- - org.springframework.data.jdbc.core.convert.EntityRowMapper<T>

All Implemented Interfaces:
  RowMapper<T>

    public class EntityRowMapper<T>
    extends Object
    implements RowMapper<T>

Maps a `ResultSet` to an entity of type `T`, including entities referenced. This `RowMapper` might trigger additional SQL statements in order to load other members of the same aggregate.

Since:
  1.1
Author:
  Jens Schauder, Oliver Gierke, Mark Paluch, Maciej Walkowiak, Bastian Wilhelm

### Constructor Summary

Constructors
Constructor and Description
`EntityRowMapper(PersistentPropertyPathExtension path, JdbcConverter converter, Identifier identifier)`
`EntityRowMapper(RelationalPersistentEntity<T> entity, JdbcConverter converter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `mapRow(ResultSet resultSet, int rowNumber)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EntityRowMapper

    public EntityRowMapper(PersistentPropertyPathExtension path,
                           JdbcConverter converter,
                           Identifier identifier)

#### EntityRowMapper

    public EntityRowMapper(RelationalPersistentEntity<T> entity,
                           JdbcConverter converter)

### Method Detail

#### mapRow

    public T mapRow(ResultSet resultSet,
                    int rowNumber)

Specified by:
  `mapRow` in interface `RowMapper<T>`